Skip to main content

Get a List of Users

Curated Reference

This page is maintained from curated documentation data.

GETapollo.apollo_get_users_search

Get a List of Users (GET /users/search). Notes: master_api_key_required.

Request Body

{
"jsonrpc": "2.0",
"id": "apollo-apollo-get-users-search-example",
"method": "tools/call",
"params": {
"name": "apollo.apollo_get_users_search",
"arguments": {
"params": {
"page": 1,
"per_page": 25
}
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"path_params": {
"type": "object",
"additionalProperties": true
},
"params": {
"type": "object",
"additionalProperties": true
},
"body": {
"anyOf": [
{
"type": "object",
"additionalProperties": true
},
{
"type": "array",
"items": {}
},
{
"type": "null"
}
]
},
"compact": {
"type": "boolean"
},
"include_raw": {
"type": "boolean"
},
"max_items": {
"type": "number",
"minimum": 1
},
"confirm": {
"type": "boolean"
}
},
"additionalProperties": false
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "apollo-apollo-get-users-search-example",
"method": "tools/call",
"params": {
"name": "apollo.apollo_get_users_search",
"arguments": {
"params": {
"page": 1,
"per_page": 25
}
}
}
}'

Example Responses

{
"ok": true,
"endpoint": "/users/search",
"method": "GET"
}